Templates
Update a template
Updates a template owned by the authenticated user.
PUT
/
templates
/
{id}
Update a template
curl --request PUT \
--url https://api.seamless.ai/api/client/v2/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": 456,
"name": "Updated outreach",
"type": "email",
"subject": "Quick question",
"body": "<string>"
}
'import requests
url = "https://api.seamless.ai/api/client/v2/templates/{id}"
payload = {
"templateId": 456,
"name": "Updated outreach",
"type": "email",
"subject": "Quick question",
"body": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: 456,
name: 'Updated outreach',
type: 'email',
subject: 'Quick question',
body: JSON.stringify('<string>')
})
};
fetch('https://api.seamless.ai/api/client/v2/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"templateId": 456,
"type": "email",
"name": "Updated outreach",
"subject": "<string>",
"body": "<string>",
"emailFooterId": 123,
"emailSignatureId": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
OAuth2ApiKeyAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier of the template
Example:
456
Body
application/json
Was this page helpful?
⌘I
Update a template
